URL: https://github.com/freeipa/freeipa/pull/336
Author: mbasti-rh
 Title: #336: [py3] pki: add missing depedency pki-base[-python3]
Action: synchronized

To pull the PR as Git branch:
git remote add ghfreeipa https://github.com/freeipa/freeipa
git fetch ghfreeipa pull/336/head:pr336
git checkout pr336
From 2cb2b373337bc6822c4c923c585d79b41d5ad5bc Mon Sep 17 00:00:00 2001
From: Martin Basti <mba...@redhat.com>
Date: Wed, 14 Dec 2016 12:28:25 +0100
Subject: [PATCH 1/2] [py3]pki: add missing depedency pki-base[-python3]

FreeIPA server modules requires pki module

Bump build requires versions to force pylint to check with the versions
used after installation

https://fedorahosted.org/freeipa/ticket/4985
---
 freeipa.spec.in | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index fbb3945..810b1f1 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -131,8 +131,8 @@ BuildRequires:  python-dns >= 1.13
 BuildRequires:  jsl
 BuildRequires:  python-yubico
 # pki Python package
-# 10.2.1: crypto.NSSCryptoProvider(password_file)
-BuildRequires:  pki-base >= 10.2.1
+# 10.3.5-6: to check the version that is used after install with pylint
+BuildRequires:  pki-base >= 10.3.5-6
 BuildRequires:  python-pytest-multihost
 BuildRequires:  python-pytest-sourceorder
 BuildRequires:  python-jwcrypto
@@ -167,8 +167,8 @@ BuildRequires:  python3-qrcode-core >= 5.0.0
 BuildRequires:  python3-dns >= 1.13
 BuildRequires:  python3-yubico
 # pki Python package
-# 10.2.1: crypto.NSSCryptoProvider(password_file)
-BuildRequires:  pki-base-python3 >= 10.2.1
+# 10.3.5-6: to check the version that is used after install with pylint
+BuildRequires:  pki-base-python3 >= 10.3.5-6
 BuildRequires:  python3-pytest-multihost
 BuildRequires:  python3-pytest-sourceorder
 BuildRequires:  python3-jwcrypto
@@ -297,6 +297,7 @@ Requires: dbus-python
 Requires: python-dns >= 1.13
 Requires: python-kdcproxy >= 0.3
 Requires: rpm-libs
+Requires: pki-base >= 10.3.5-6
 
 %description -n python2-ipaserver
 IPA is an integrated solution to provide centrally managed Identity (users,
@@ -326,6 +327,7 @@ Requires: python3-dbus
 Requires: python3-dns >= 1.11.1
 Requires: python3-kdcproxy >= 0.3
 Requires: rpm-libs
+Requires: pki-base-python3 >= 10.3.5-6
 
 %description -n python3-ipaserver
 IPA is an integrated solution to provide centrally managed Identity (users,

From 7ca86fbacfc9b753190aba2232f074f074cdae50 Mon Sep 17 00:00:00 2001
From: Martin Basti <mba...@redhat.com>
Date: Thu, 15 Dec 2016 17:20:35 +0100
Subject: [PATCH 2/2] pki-base: use pki-base-python2 as dependency

pki-base provides pki-base-python2, but we should depend directly on
pki-base-python2 because in future pki-base may provide pki-base-python3
instead.

Source: chei...@redhat.com

https://fedorahosted.org/freeipa/ticket/4985
---
 freeipa.spec.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/freeipa.spec.in b/freeipa.spec.in
index 810b1f1..0efc6bc 100644
--- a/freeipa.spec.in
+++ b/freeipa.spec.in
@@ -132,7 +132,7 @@ BuildRequires:  jsl
 BuildRequires:  python-yubico
 # pki Python package
 # 10.3.5-6: to check the version that is used after install with pylint
-BuildRequires:  pki-base >= 10.3.5-6
+BuildRequires:  pki-base-python2 >= 10.3.5-6
 BuildRequires:  python-pytest-multihost
 BuildRequires:  python-pytest-sourceorder
 BuildRequires:  python-jwcrypto
@@ -297,7 +297,7 @@ Requires: dbus-python
 Requires: python-dns >= 1.13
 Requires: python-kdcproxy >= 0.3
 Requires: rpm-libs
-Requires: pki-base >= 10.3.5-6
+Requires: pki-base-python2 >= 10.3.5-6
 
 %description -n python2-ipaserver
 IPA is an integrated solution to provide centrally managed Identity (users,
-- 
Manage your subscription for the Freeipa-devel mailing list:
https://www.redhat.com/mailman/listinfo/freeipa-devel
Contribute to FreeIPA: http://www.freeipa.org/page/Contribute/Code

Reply via email to